import { watch } from 'vue';
import useAsyncFn from './useAsyncFn';
export default function useAsync(fn, deps) {
    const [state, callback] = useAsyncFn(fn, {
        loading: true,
    });
    if (deps) {
        watch(deps, () => {
            callback();
        }, {
            immediate: true
        });
    }
    else {
        callback();
    }
    return state;
}
//# sourceMappingURL=useAsync.js.map