import { useComputedState } from "./index";
import Cookies from 'js-cookie';
const useCookie = (cookieName) => {
    const [value, setValue] = useComputedState(() => (Cookies.get(cookieName) || null));
    const updateCookie = (newValue, options) => {
        Cookies.set(cookieName, newValue, options);
        setValue(newValue);
    };
    const deleteCookie = () => {
        Cookies.remove(cookieName);
        setValue(null);
    };
    return [value, updateCookie, deleteCookie];
};
export default useCookie;
//# sourceMappingURL=useCookie.js.map