import { isRef, unref } from "vue";
import { useEffect } from "./index";
import { create } from 'nano-css';
import { addon as addonCSSOM } from 'nano-css/addon/cssom';
import { addon as addonVCSSOM } from 'nano-css/addon/vcssom';
import { cssToTree } from 'nano-css/addon/vcssom/cssToTree';
const nano = create();
addonCSSOM(nano);
addonVCSSOM(nano);
let counter = 0;
export default function useCss(css) {
    const className = 'vue-next-use-css-' + (counter++).toString(36);
    const sheet = new nano.VSheet();
    useEffect(() => {
        const tree = {};
        cssToTree(tree, unref(css), '.' + className, '');
        sheet.diff(tree);
        return () => {
            sheet.diff({});
        };
    }, isRef(css) ? css : null);
    return className;
}
;
//# sourceMappingURL=useCss.js.map