import { watch } from "vue";
import { useState } from './index';
import { resolveHookState } from "./misc/hookState";
export default function useDefault(defaultValue, initialValue) {
    const [value, setValue] = useState(resolveHookState(initialValue));
    watch(value, (newValue) => {
        if (newValue === undefined || newValue === null) {
            setValue(defaultValue);
        }
    }, {
        immediate: true
    });
    return [value, setValue];
}
;
//# sourceMappingURL=useDefault.js.map