import { onMounted, onUnmounted, watch } from "vue";
import { useState } from "./index";
export default function useEffect(fn, deps = undefined) {
    const [callback, setCallback] = useState(undefined);
    onMounted(() => {
        setCallback(() => fn());
        if (deps) {
            watch(deps, (newValue, oldValue) => {
                if (callback.value instanceof Function) {
                    callback.value();
                }
                setCallback(() => fn());
            });
        }
    });
    onUnmounted(() => {
        if (callback.value instanceof Function) {
            callback.value();
        }
    });
}
//# sourceMappingURL=useEffect.js.map