import * as Vue from 'vue';
import { noop } from './misc/util';
import { useState } from './index';
const useHover = (element) => {
    const [state, setState] = useState(false);
    const onMouseEnter = (originalOnMouseEnter) => (event) => {
        (originalOnMouseEnter || noop)(event);
        setState(true);
    };
    const onMouseLeave = (originalOnMouseLeave) => (event) => {
        (originalOnMouseLeave || noop)(event);
        setState(false);
    };
    if (typeof element === 'function') {
        element = element(state);
    }
    const el = Vue.cloneVNode(element, {
        onmouseenter: onMouseEnter(element?.props?.onMouseEnter),
        onmouseleave: onMouseLeave(element?.props?.onMouseLeave),
    });
    return [el, Vue.computed(() => {
            return state.value;
        })];
};
export default useHover;
//# sourceMappingURL=useHover.js.map