import { computed } from 'vue';
import { useState } from './index';
const useMap = (initialMap = {}) => {
    const [map, set] = useState(initialMap);
    const stableActions = {
        set: (key, entry) => {
            set((prevMap) => ({
                ...prevMap,
                [key]: entry,
            }));
        },
        setAll: (newMap) => {
            set(newMap);
        },
        remove: (key) => {
            set((prevMap) => {
                const { [key]: omit, ...rest } = prevMap;
                return rest;
            });
        },
        reset: () => set(initialMap),
    };
    const utils = {
        get: (key) => map.value[key],
        ...stableActions,
    };
    return [computed(() => {
            return map.value;
        }), utils];
};
export default useMap;
//# sourceMappingURL=useMap.js.map