import { useState } from "./index";
import { ref as useRef, watch } from 'vue';
export default function useMediatedState(mediator, initialState) {
    const mediatorFn = useRef(mediator);
    const [state, setMediatedState] = useState(initialState);
    const setState = (newState) => {
        if (mediatorFn.value.length === 2) {
            mediatorFn.value(newState, setMediatedState);
        }
        else {
            setMediatedState(mediatorFn.value(newState));
        }
    };
    watch(state, (newState) => {
        if (mediatorFn.value.length === 2) {
            mediatorFn.value(newState, setMediatedState);
        }
        else {
            setMediatedState(mediatorFn.value(newState));
        }
    });
    return [state, setState];
}
//# sourceMappingURL=useMediatedState.js.map