import { useReducer } from "./index";
const useMethods = (createMethods, initialState) => {
    const reducer = (reducerState, action) => {
        return createMethods(reducerState)[action.type](...action.payload);
    };
    const [state, dispatch] = useReducer(reducer, initialState);
    const wrappedMethods = (() => {
        const actionTypes = Object.keys(createMethods(initialState));
        return actionTypes.reduce((acc, type) => {
            acc[type] = (...payload) => dispatch({ type, payload });
            return acc;
        }, {});
    })();
    return [state, wrappedMethods];
};
export default useMethods;
//# sourceMappingURL=useMethods.js.map