import { ref, onMounted, onUnmounted } from 'vue';
export default function useMountedState() {
    const mountedRef = ref(false);
    const get = () => mountedRef.value;
    onMounted(() => {
        mountedRef.value = true;
    });
    onUnmounted(() => {
        mountedRef.value = false;
    });
    return get;
}
//# sourceMappingURL=useMountedState.js.map