import { computed } from 'vue';
import { useState } from './index';
// 队列
const useQueue = (initialValue = []) => {
    const [state, set] = useState(initialValue);
    return {
        add: (value) => {
            set((queue) => [...queue, value]);
        },
        remove: () => {
            let result = undefined;
            set(([first, ...rest]) => {
                result = first;
                return rest;
            });
            return result;
        },
        first: computed(() => {
            return state.value[0];
        }),
        last: computed(() => {
            return state.value[state.value.length - 1];
        }),
        size: computed(() => {
            return state.value.length;
        }),
    };
};
export default useQueue;
//# sourceMappingURL=useQueue.js.map