import { onUnmounted } from 'vue';
import { useReactive, useRef } from './index';
export default function useRafReactive(initialState) {
    const frame = useRef(0);
    const [state, setState] = useReactive(initialState);
    const setRafState = (value) => {
        cancelAnimationFrame(frame.value);
        frame.value = requestAnimationFrame(() => {
            setState(value);
        });
    };
    onUnmounted(() => {
        cancelAnimationFrame(frame.value);
    });
    return [state, setRafState];
}
;
//# sourceMappingURL=useRafReactive.js.map