import { onUnmounted } from 'vue';
import { useRef, useState } from './index';
export default function useRafState(initialState) {
    const frame = useRef(0);
    const [state, setState] = useState(initialState);
    const setRafState = (value) => {
        cancelAnimationFrame(frame.value);
        frame.value = requestAnimationFrame(() => {
            setState(value);
        });
    };
    onUnmounted(() => {
        cancelAnimationFrame(frame.value);
    });
    return [state, setRafState];
}
;
//# sourceMappingURL=useRafState.js.map