import { reactive, toRaw, isReactive } from 'vue';
import { resolveHookState } from "./misc/hookState";
export default function useReactive(initialState = {}) {
    const state = isReactive(initialState) ? initialState : (initialState instanceof Function ? reactive(initialState()) : reactive(initialState));
    const setState = (patch) => {
        Object.assign(state, resolveHookState(patch, toRaw(state)));
    };
    return [state, setState];
}
//# sourceMappingURL=useReactive.js.map