import { computed } from "vue";
import { useState } from "./index";
import { resolveHookState } from './misc/hookState';
function useReducer(reducer, initialState, initializer) {
    if (initializer) {
        initialState = initializer(resolveHookState(initialState));
    }
    const [state, setState] = useState(initialState);
    const dispatch = (action) => {
        setState(prevState => reducer(prevState, action));
    };
    return [computed(() => {
            return state.value;
        }), dispatch];
}
;
export default useReducer;
//# sourceMappingURL=useReducer.js.map