import { unref } from "vue";
import { useEffect, useState } from './index';
import { isBrowser, off, on } from './misc/util';
const getValue = (search, param) => new URLSearchParams(search).get(param);
const useSearchParam = (param) => {
    const location = window.location;
    const [value, setValue] = useState(() => getValue(location.search, unref(param)));
    useEffect(() => {
        const onChange = () => {
            setValue(getValue(location.search, unref(param)));
        };
        on(window, 'popstate', onChange);
        on(window, 'pushstate', onChange);
        on(window, 'replacestate', onChange);
        return () => {
            off(window, 'popstate', onChange);
            off(window, 'pushstate', onChange);
            off(window, 'replacestate', onChange);
        };
    }, []);
    return value;
};
const useSearchParamServer = () => null;
export default isBrowser ? useSearchParam : useSearchParamServer;
//# sourceMappingURL=useSearchParam.js.map