import { ref } from 'vue';
import { resolveHookState } from "./misc/hookState";
export default function useSetState(initialState) {
    const state = ref(resolveHookState(initialState));
    const setState = (patch) => {
        state.value = Object.assign({}, state.value, resolveHookState(patch, state.value));
    };
    return [state, setState];
}
;
const [state, setState] = useSetState({
    name: '123',
    id: '123'
});
setState({ name: '123' });
setState(() => ({ name: '123' }));
//# sourceMappingURL=useSetState.js.map