import { ref, unref } from 'vue';
import { resolveHookState } from './misc/hookState';
export default function useState(initialState) {
    const state = ref(resolveHookState(initialState));
    const set = (value) => {
        if (value instanceof Function) {
            state.value = value(state.value);
        }
        else {
            state.value = unref(value);
        }
    };
    return [state, set];
}
;
//# sourceMappingURL=useState.js.map