import { unref } from 'vue';
import { useReadonly, useRef } from './index';
export default function useStateValidator(state, validator, initialState = [undefined]) {
    const stateInner = useRef(state);
    const validatorInner = useRef(validator);
    const [validity, setValidity] = useReadonly(initialState);
    const validate = () => {
        if (validatorInner.value.length >= 2) {
            validatorInner.value(unref(stateInner.value), setValidity);
        }
        else {
            setValidity(validatorInner.value(unref(stateInner.value)));
        }
    };
    return [validity, validate];
}
//# sourceMappingURL=useStateValidator.js.map