import { useEffect, useRef } from './index';
const DEFAULT_USE_TITLE_OPTIONS = {
    restoreOnUnmount: false,
};
function useTitle(title, options = DEFAULT_USE_TITLE_OPTIONS) {
    const prevTitleRef = useRef(document.title);
    document.title = title;
    useEffect(() => {
        if (options && options.restoreOnUnmount) {
            return () => {
                document.title = prevTitleRef.value;
            };
        }
        else {
            return;
        }
    });
}
export default typeof document !== 'undefined' ? useTitle : (_title) => { };
//# sourceMappingURL=useTitle.js.map