import { computed } from "vue";
import { easing } from 'ts-easing';
import { useRaf } from './index';
const useTween = (easingName = 'inCirc', ms = 200, delay = 0) => {
    const fn = easing[easingName];
    const t = useRaf(ms, delay);
    if (process.env.NODE_ENV !== 'production') {
        if (typeof fn !== 'function') {
            console.error('useTween() expected "easingName" property to be a valid easing function name, like:' +
                '"' +
                Object.keys(easing).join('", "') +
                '".');
            console.trace();
            return computed(() => 0);
        }
    }
    return computed(() => {
        return fn(t.value);
    });
};
export default useTween;
//# sourceMappingURL=useTween.js.map